;;; +keybindings.el -*- lexical-binding: t; -*-
;; Custom keybindings
;;
;; Select target in Makefile compilation as default
(map! :leader :n "c c" #'makefile-executor-execute-project-target)
;; Keybindings for R markdown polymode
(map! :map poly-markdown+R-mode-map
      :n "RET" #'polymode-eval-chunk
      :desc "Evaluate code block")
;; Map elfeed to global keybinding
(map! :leader :n "o e" #'=rss)
;; Map wallabag to global keybinding
(map! :leader :n "o w" #'=wallabag)
;; Keybindings for org-noter
(map! :mode pdf-view-mode
      :n "i" #'org-noter-insert-note
      :desc "Insert note with a subheading")
(map! :mode pdf-view-mode
      :n "x" #'org-noter-kill-session
      :desc "Kill the current org-noter session")
;; Keybindings for pdf-view
(map! :mode pdf-view-mode
      :n ":" #'pdf-view-goto-page
      :desc "Move to the selected page")
